Log in or register to post comments

Missing Scripts on ARCamera prefab

March 14, 2017 - 8:53am #6

Hi all,

 

I am using Vuforia for the first time and intend to use this as our primary platform for AR, I am using the Developer version at the moment.

However, I am having issues.

When I dragged the AR Camera prefab into my Hierarchy, I am missing a few scripts. What I have is: Vuforia Behaviour and Default Initialization Error Handler script nothing else. What am I doing wrong? I have attached a snippet of my Inspector panel while AR Camera prefab is selected. The missing scripts aren't in any Vuforia related folders. I have created a new project and re-imported Vuforia unity package and image_assets from the database.

AttachmentSize
Image icon VuforiaARCameraPrefabMissing.PNG21.34 KB

Missing Scripts on ARCamera prefab

April 18, 2017 - 12:01pm #5

Same problem did you find a solution?

Missing Scripts on ARCamera prefab

November 7, 2017 - 3:48am #4

Getting same error here, any solutions? 

Missing Scripts on ARCamera prefab

November 7, 2017 - 11:02am #3

Which version of Unity are you using and which scripts are missing?

Thanks,

-Vuforia Support

Missing Scripts on ARCamera prefab

July 4, 2018 - 8:51am #2

Hi Team,

I am using unity 2017 on Mac and Vuforia Behaviour script does not load to ARCamera perfab. 

Just wanted to let you know that I have selected Vuforia Augmented Reality Support Component while installed the unity3d. When I dragged the "vuforia-unity-6-2-10.unitypackage" on my project I got below error.   

error CS1704: An assembly with the same name `Vuforia.UnityExtensions' has already been imported. Consider removing one of the references or sign the assembly/Applications/Unity/PlaybackEngines/VuforiaSupport/Managed/Runtime/Vuforia.UnityExtensions.dll (Location of the symbol related to previous error)Assets/Vuforia/Scripts/Internal/Vuforia.UnityExtensions.dll (Location of the symbol related to previous error)

It would be much appreciated if you could help on this. 

 

Kind Regards,

Vansh

 

 

 

Missing Scripts on ARCamera prefab

July 5, 2018 - 3:03pm #1

Hello Vansh,

If you have included Vuforia Augmented Reality support on your install you do not need to drag the 6.2.10 package into the project as Unity will already have a version of the SDK integrated. This article explains how to activate it within your project: https://library.vuforia.com/content/vuforia-library/en/articles/Solution/enabling-vuforia-unity.html

Thanks,

Vuforia Support

Log in or register to post comments